<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


class Cuentas{
	public $resId=NULL;				
	public $old_recordset=NULL;		
	public $recordset=NULL;			
	public $mail=NULL;				
	public $prefs=NULL;				
	
	public function checkKeys(){
		$cadena=""; 
		$f=$this->recordset;
		$o=$this->old_recordset;
		global $lngs;
		if($f['codigo_cuenta']!=$o['codigo_cuenta']){
			$sql="UPDATE smk_conciliacion SET id_cuenta='{$f['codigo_cuenta']}' WHERE id_cuenta='{$o['codigo_cuenta']}'";
			$q=mysql_query($sql);
			$sql="UPDATE smk_inventario SET id_cuenta='{$f['codigo_cuenta']}' WHERE id_cuenta='{$o['codigo_cuenta']}'";
			$q=mysql_query($sql);
		}
	}
	public function deleteKey(){
		$cadena=""; 
		$f=$this->recordset;
		global $lngs;
			$sql="UPDATE smk_conciliacion SET id_cuenta=NULL WHERE id_cuenta='{$f['codigo_cuenta']}'";
			$q=mysql_query($sql);
			$sql="UPDATE smk_inventario SET id_cuenta=NULL WHERE id_cuenta='{$f['codigo_cuenta']}'";
			$q=mysql_query($sql);
	}
}
?>